gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.SpinnerAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype SpinnerAccessible = SpinnerAccessible (ManagedPtr SpinnerAccessible)
- class (GObject o, IsDescendantOf SpinnerAccessible o) => IsSpinnerAccessible o
- toSpinnerAccessible :: (MonadIO m, IsSpinnerAccessible o) => o -> m SpinnerAccessible

# Exported types

newtype SpinnerAccessible Source #

Memory-managed wrapper type.

Constructors

SpinnerAccessible (ManagedPtr SpinnerAccessible) |

#### Instances

Instances details

Eq SpinnerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinnerAccessible Methods (==) :: SpinnerAccessible -> SpinnerAccessible -> Bool Source # (/=) :: SpinnerAccessible -> SpinnerAccessible -> Bool Source #
GObject SpinnerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinnerAccessible
ManagedPtrNewtype SpinnerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinnerAccessible Methods toManagedPtr :: SpinnerAccessible -> ManagedPtr SpinnerAccessible Source #
TypedObject SpinnerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinnerAccessible Methods glibType :: IO GType Source #
HasParentTypes SpinnerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinnerAccessible
IsGValue (Maybe SpinnerAccessible) Source # | Convert `SpinnerAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.SpinnerAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe SpinnerAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe SpinnerAccessible) Source #
type ParentTypes SpinnerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinnerAccessible type ParentTypes SpinnerAccessible = '[WidgetAccessible, Accessible, Object, Object, Component, Image]

class (GObject o, IsDescendantOf SpinnerAccessible o) => IsSpinnerAccessible o Source #

Type class for types which can be safely cast to `SpinnerAccessible`, for instance with `toSpinnerAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf SpinnerAccessible o) => IsSpinnerAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.SpinnerAccessible

toSpinnerAccessible :: (MonadIO m, IsSpinnerAccessible o) => o -> m SpinnerAccessible Source #

Cast to `SpinnerAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.